summaryrefslogtreecommitdiff
path: root/libre-testing
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2020-01-10 03:50:37 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2020-01-10 07:45:53 -0500
commitc630e52cb877ba1d0fd91c584fcc4a669cc8e0f5 (patch)
tree920e7e27bd27d81d96dccc299bab6071fb90e68a /libre-testing
parente8ed8d5672238d4026769e8eefd008988267e63a (diff)
[file]: upgrade to v5.38 in [libre-testing]
Diffstat (limited to 'libre-testing')
-rw-r--r--libre-testing/file/PKGBUILD33
1 files changed, 17 insertions, 16 deletions
diff --git a/libre-testing/file/PKGBUILD b/libre-testing/file/PKGBUILD
index 7a0a5f590..5b416c350 100644
--- a/libre-testing/file/PKGBUILD
+++ b/libre-testing/file/PKGBUILD
@@ -3,44 +3,45 @@
# Contributor: Andreas Radke <andyrtr@archlinux.org>
pkgname=file
-pkgver=5.34
+pkgver=5.38
pkgrel=1
pkgdesc='File type identification utility'
-arch=(x86_64 ppc64le)
+arch=('x86_64')
+arch+=('armv7h' 'i686' 'ppc64le')
license=('custom')
-groups=('base' 'base-devel')
+groups=('base-devel')
url='https://www.darwinsys.com/file/'
-depends=('glibc' 'zlib')
+depends=('glibc' 'zlib' 'xz' 'bzip2' 'libseccomp' 'libseccomp.so')
+provides=('libmagic.so')
source=("ftp://ftp.astron.com/pub/$pkgname/$pkgname-$pkgver.tar.gz"{,.asc})
validpgpkeys=('BE04995BA8F90ED0C0C176C471112AB16CB33B3A') # Christos Zoulas
-md5sums=('44b0b6983462b18f96403d4d3ad80254'
+sha256sums=('593c2ffc2ab349c5aea0f55fedfe4d681737b6b62376a9b3ad1e77b2cc19fa34'
'SKIP')
prepare() {
cd $pkgname-$pkgver
# apply patch from the source array (should be a pacman feature)
- local filename
- for filename in "${source[@]}"; do
- if [[ "$filename" =~ \.patch$ ]]; then
- msg2 "Applying patch ${filename##*/}"
- patch -p1 -N -i "$srcdir/${filename##*/}"
- fi
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
done
- :
}
build() {
cd $pkgname-$pkgver
- # seccomp breaks file -z foo.xz
- # does a whole pipe-fork-exec dance with /bin/xz, so difficult to fix
- # this breaks makepkg, specifically on the linux PKGBUILD's patch-*.xz
+ # Fix linking libmagic (vfork needs libpthread)
+ CFLAGS+=" -pthread"
./configure \
--prefix=/usr \
--datadir=/usr/share/file \
--enable-fsect-man5 \
- --disable-libseccomp
+ --enable-libseccomp
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
make
}